v1/projects/{projectId}/attachments/{issueId}/items/{attachmentId}
Deletes a specific attachment from an issue in a project.
This endpoint automatically triggers the attachment.deleted-1.0 webhook event (beta) when an attachment is deleted. If you’ve configured a webhook subscription for this event, your application will receive a notification. For more information, see the Issues Webhooks section in the Field Guide.
Resource Information
| Method and URI | DELETE https://developer.api.autodesk.com/construction/issues/v1/projects/{projectId}/attachments/{issueId}/items/{attachmentId} |
| Authentication Context | User context required |
| Required OAuth Scopes | data:write |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
Request
URI Parameters
| projectId string: UUID | The ID of the project.
Use the Data Management API to retrieve the project ID. For more information, see the Retrieve a Project ID tutorial. You need to convert the project ID into a project ID for the Forma API by removing the “b." prefix. For example, a project ID of b.a4be0c34a-4ab7 translates to a project ID of a4be0c34a-4ab7. |
| issueId string: UUID | The unique identifier of the issue. To find the ID, call GET issues. |
| attachmentId string: UUID | The unique identifier of the attachment. To find the ID, call GET attachments. |
Response
HTTP Status Code Summary
| 204 No Content | OK |
| 400 Bad Request | Invalid input |
| 403 Forbidden | The request is valid but lacks the necessary permissions. |
| 404 Not Found | Issue or attachment not found, or attachment has already been deleted |
| 500 Internal Server Error | Internal server error |
Response
Body Structure (204)
Response for 204 has no body.
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/issues/v1/projects/:projectId/attachments/:issueId/items/:attachmentId' \
-X 'DELETE' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
204 No Content